function [ peak cof ] = BPM_Time( data, sample_freq, time_length)


% Perform CWT with scale 3 and wavelet Coiflet-1
cof=cwt(data,300,'coif1');

% R -Peak Identification
cofsq=cof.^2;
threshold=mean(cofsq);
peak=0;
%datapoints=6*sample_freq*10;

% Remove edge effects
cofsq(1)=0;
cofsq(end)=0;
ntime=time_length.*sample_freq;

for i=1:ntime
    if cofsq(i) >=threshold
        peak=peak+1;
    end
end


end

