%filter_demo ======= Andrew LaPlaunt
clear all; close all;
load '16272m.mat'; %read in ecg file
ecg = val; 
plot(ecg); %plot unfiltered ecg
ecg_filt = lowpassfilter(ecg); %run FIR LPF developed in filter design app
hold on
plot(ecg_filt,'r');%plot FIR filtered ecg
xlabel('Samples')
ylabel('Voltage (mV)')
title('ECG Filtered with FIR Equiripple filter (red)')
figure();
plot(ecg);
hold on
cheby_ecg = chebyfilter(ecg); %run IIR LPF developed in filter design app
plot(cheby_ecg,'r'); %plot IIR filtered ecg
xlabel('Samples')
ylabel('Voltage (mV)')
title('ECG Filtered with IIR Chebyshev filter (red)')
